StripeStatistics (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc

## Class StripeStatistics

- java.lang.Object
- - org.apache.orc.StripeStatistics

- Direct Known Subclasses:
    StripeStatisticsImpl

      public class StripeStatistics
      extends Object

  The statistics for a stripe.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<OrcProto.ColumnStatistics>` | `cs`
    `protected TypeDescription` | `schema`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StripeStatistics(List<OrcProto.ColumnStatistics> list)`
    `StripeStatistics(TypeDescription schema, List<OrcProto.ColumnStatistics> list, boolean writerUsedProlepticGregorian, boolean convertToProlepticGregorian)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.ColumnStatistics` | `getColumn(int column)`
    `ColumnStatistics[]` | `getColumnStatistics()` Return list of column statistics

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cs

          protected final List<OrcProto.ColumnStatistics> cs

    - #### schema

          protected final TypeDescription schema

  - ### Constructor Detail

    - #### StripeStatistics

          public StripeStatistics(List<OrcProto.ColumnStatistics> list)

    - #### StripeStatistics

          public StripeStatistics(TypeDescription schema,
                                  List<OrcProto.ColumnStatistics> list,
                                  boolean writerUsedProlepticGregorian,
                                  boolean convertToProlepticGregorian)

  - ### Method Detail

    - #### getColumnStatistics

          public ColumnStatistics[] getColumnStatistics()

      Return list of column statistics
      Returns:
        column stats

    - #### getColumn

          public OrcProto.ColumnStatistics getColumn(int column)

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.